"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const { red, yellow } = chalk_1.default;
const name = 'workspace-publish';
const errorPrefix = red(name);
const warningPrefix = yellow(name);
class WorkspaceReleaseError extends Error {
    constructor(msg) {
        super(msg);
        Object.setPrototypeOf(this, WorkspaceReleaseError.prototype);
    }
    toString() {
        return this.message;
    }
}
exports.WorkspaceReleaseError = WorkspaceReleaseError;
class WorkspaceReleaseWarning extends Error {
    constructor(msg) {
        super(msg);
        Object.setPrototypeOf(this, WorkspaceReleaseWarning.prototype);
    }
    toString() {
        return this.message;
    }
}
exports.WorkspaceReleaseWarning = WorkspaceReleaseWarning;
function handleError(err) {
    if (err instanceof WorkspaceReleaseWarning) {
        console.error(`${warningPrefix} ${err}`);
    }
    else if (err instanceof WorkspaceReleaseError) {
        console.error(`${errorPrefix} ${err}`);
        process.exitCode = 1;
    }
    else {
        console.error(`${errorPrefix} crashed`);
        console.error(err);
        process.exitCode = 1;
    }
}
exports.handleError = handleError;
//# sourceMappingURL=errors.js.map